%define upstream_name    PPIx-QuoteLike
%define upstream_version 0.023

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Represent an interpolation
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PPIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(List::Util)
BuildRequires: perl(PPI::Document) >= 1.238.0
BuildRequires: perl(PPI::Dumper) >= 1.238.0
BuildRequires: perl(Readonly)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(charnames)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(re)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This Perl class parses Perl string literals and things that are reasonably
like string literals. Its real reason for being is to find interpolated
variables for Perl::Critic policies and similar code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSES META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Sep 22 2022 tv <tv> 0.23.0-1.mga9
+ Revision: 1891473
- update to 0.023

* Mon Apr 18 2022 tv <tv> 0.22.0-1.mga9
+ Revision: 1851140
- update to 0.022

* Mon Apr 04 2022 tv <tv> 0.21.0-1.mga9
+ Revision: 1843418
- update to 0.021

* Fri Mar 18 2022 tv <tv> 0.20.0-1.mga9
+ Revision: 1798262
- update to 0.020

* Wed Nov 17 2021 tv <tv> 0.19.0-1.mga9
+ Revision: 1757516
- update to 0.019

* Thu Oct 28 2021 tv <tv> 0.18.0-1.mga9
+ Revision: 1753014
- update to 0.018

* Mon Apr 19 2021 tv <tv> 0.17.0-1.mga9
+ Revision: 1716831
- update to 0.017

* Mon Mar 29 2021 tv <tv> 0.16.0-1.mga9
+ Revision: 1711603
- update to 0.016

* Thu Feb 25 2021 tv <tv> 0.15.0-1.mga9
+ Revision: 1690356
- update to 0.015

* Sat Oct 10 2020 tv <tv> 0.13.0-1.mga8
+ Revision: 1633055
- update to 0.013

* Sat Aug 01 2020 tv <tv> 0.12.0-1.mga8
+ Revision: 1610097
- update to 0.012

* Wed Apr 01 2020 tv <tv> 0.11.0-1.mga8
+ Revision: 1562970
- update to 0.011

* Tue Mar 10 2020 tv <tv> 0.10.0-1.mga8
+ Revision: 1555196
- update to 0.010

* Fri Feb 28 2020 tv <tv> 0.9.0-1.mga8
+ Revision: 1551951
- update to 0.009

* Sat Feb 15 2020 umeabot <umeabot> 0.8.0-2.mga8
+ Revision: 1528647
- Mageia 8 Mass Rebuild

* Sun Aug 25 2019 tv <tv> 0.8.0-1.mga8
+ Revision: 1431977
- update to 0.008

* Sat Jun 29 2019 tv <tv> 0.7.0-1.mga8
+ Revision: 1415962
- update to 0.007

* Thu Sep 20 2018 umeabot <umeabot> 0.6.0-2.mga7
+ Revision: 1285477
- Mageia 7 Mass Rebuild

* Fri Aug 10 2018 tv <tv> 0.6.0-1.mga7
+ Revision: 1250980
- update to 0.006

* Fri Jun 01 2018 tv <tv> 0.5.0-1.mga7
+ Revision: 1233484
- imported package perl-PPIx-QuoteLike

